#include <iostream>

using namespace std;

int main()
{
    string a[50][50];
    int n,m;
    cin >> n >> m;
    for (int i=0;i<n;i++)
        for (int j=1;j<m;j++)
            cin >> a[i][j];
    cout << -1;
    return 0;
}